Support Questions

Find answers, ask questions, and share your expertise
Announcements
Celebrating as our community reaches 100,000 members! Thank you!

Not able to start hive metastore in hive 3.1.3

avatar
Explorer

Hi all

 

Getting below error, when trying to start hive metastore:

 

Exception in thread "main" java.lang.NoSuchMethodError: org.apache.hadoop.fs.FsTracer.get(Lorg/apache/Hadoop/conf/Configuration;)Lorg/Apache/htrace/core/Tracer; 

 

Details are as under

 

Hive version: Apache hive 3.1.3      Remote metastore: postgres version 12

 

Schematool init created all relevant tables without any error. Only when trying to start metastore services facing error. Checked for htrace core incubating jar versions also. Htrace version details across cluster are attached

apache-hive-3.1.3-bin/lib/htrace-core-3.2.0-incubating.jar

hadoop-3.3.4/share/hadoop/common/lib/htrace-core-3.2.0-incubating.jar

hadoop-3.3.4/share/hadoop/yarn/timelineservice/lib/htrace-core-3.2.0-incubating.jar

hbase-2.4.14/lib/htrace-core4-4.2.0-incubating.jar

hbase-2.4.14/lib/client-facing-thirdparty/htrace-core4-4.2.0-incubating.jar

 

Request your help.Thanks

1 ACCEPTED SOLUTION

avatar
Super Collaborator

@Kalpit Do check if you have any jars added to hive classpath using hive.aux.jars.path. Remove them and try once. It's possible that the jars added are not compatible with the current version. 

View solution in original post

5 REPLIES 5

avatar
Community Manager

@Kalpit Welcome to the Cloudera Community!

To help you get the best possible solution, I have tagged our Hive experts @Shmoo @cravani  who may be able to assist you further.

Please keep us updated on your post, and we hope you find a satisfactory solution to your query.


Regards,

Diana Torres,
Community Moderator


Was your question answered? Make sure to mark the answer as the accepted solution.
If you find a reply useful, say thanks by clicking on the thumbs up button.
Learn more about the Cloudera Community:

avatar
Explorer

Thanks for assistance @DianaTorres 

avatar
Super Collaborator

@Kalpit Do check if you have any jars added to hive classpath using hive.aux.jars.path. Remove them and try once. It's possible that the jars added are not compatible with the current version. 

avatar
Explorer

Thanks a lot for help. It worked. It was incompatibility issue with phoenix-hive-5.0.-HBase-2.0.jar. removing that classpath worked.

avatar
Community Manager

@Kalpit Has the reply helped resolve your issue? If so, please mark the appropriate reply as the solution, as it will make it easier for others to find the answer in the future. Thanks.


Regards,

Diana Torres,
Community Moderator


Was your question answered? Make sure to mark the answer as the accepted solution.
If you find a reply useful, say thanks by clicking on the thumbs up button.
Learn more about the Cloudera Community: